Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
strange error message
#1
Apologies if this is the wrong forum to post this.
I am trying to install the latest VirtualBox over my existing installation (6.1.8). I have no problems doing this, but recently I got slapped with an error relating to dpkg.

I downloaded it from the official website, not from a repository.


Code:
sudo gdebi virtualbox.deb
[sudo] password for gmp:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Reading state information... Done
Requires the installation of the following packages: adwaita-icon-theme alsa-topology-conf alsa-ucm-conf at-spi2-core ca-certificates dbus dbus-user-session dconf-gsettings-backend dconf-service dmsetup fontconfig fontconfig-config fonts-dejavu-core gir1.2-glib-2.0 glib-networking glib-networking-common glib-networking-services gsettings-desktop-schemas gtk-update-icon-cache hicolor-icon-theme humanity-icon-theme krb5-locales libapparmor1 libargon2-1 libasn1-8-heimdal libasound2 libasound2-data libasyncns0 libatk-bridge2.0-0 libatk1.0-0 libatk1.0-data libatspi2.0-0 libavahi-client3 libavahi-common-data libavahi-common3 libbrotli1 libbsd0 libcaca0 libcairo-gobject2 libcairo2 libcap2 libcolord2 libcom-err2 libcryptsetup12 libcups2 libcurl4 libdatrie1 libdbus-1-3 libdconf1 libdevmapper1.02.1 libdouble-conversion3 libdrm-amdgpu1 libdrm-common libdrm-intel1 libdrm-nouveau2 libdrm-radeon1 libdrm2 libedit2 libegl-mesa0 libegl1 libelf1 libepoxy0 libevdev2 libflac8 libfontconfig1 libfreetype6 libfribidi0 libgbm1 libgcc1 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-bin libgdk-pixbuf2.0-common libgirepository-1.0-1 libgl1 libgl1-mesa-dri libglapi-mesa libglib2.0-0 libglib2.0-data libglvnd0 libglx-mesa0 libglx0 libgraphite2-3 libgssapi-krb5-2 libgssapi3-heimdal libgtk-3-0 libgtk-3-bin libgtk-3-common libgudev-1.0-0 libharfbuzz0b libhcrypto4-heimdal libheimbase1-heimdal libheimntlm0-heimdal libhx509-5-heimdal libice6 libicu66 libinput-bin libinput10 libip4tc2 libjbig0 libjpeg-turbo8 libjpeg8 libjson-c4 libjson-glib-1.0-0 libjson-glib-1.0-common libk5crypto3 libkeyutils1 libkmod2 libkrb5-26-heimdal libkrb5-3 libkrb5support0 liblcms2-2 libldap-2.4-2 libldap-common libllvm10 libmtdev1 libnghttp2-14 libnss-systemd libogg0 libopus0 libpam-systemd libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libpciaccess0 libpcre2-16-0 libpcre3 libpixman-1-0 libpng16-16 libproxy1v5 libpsl5 libpulse0 libpython2-stdlib libpython2.7-minimal libpython2.7-stdlib libqt5core5a libqt5dbus5 libqt5gui5 libqt5network5 libqt5opengl5 libqt5printsupport5 libqt5svg5 libqt5widgets5 libqt5x11extras5 librest-0.7-0 libroken18-heimdal librsvg2-2 librsvg2-common librtmp1 libsasl2-2 libsasl2-modules libsasl2-modules-db libsdl1.2debian libsensors-config libsensors5 libslang2 libsm6 libsndfile1 libsoup-gnome2.4-1 libsoup2.4-1 libssh-4 libthai-data libthai0 libtiff5 libvorbis0a libvorbisenc2 libvpx6 libvulkan1 libwacom-bin libwacom-common libwacom2 libwayland-client0 libwayland-cursor0 libwayland-egl1 libwayland-server0 libwebp6 libwind0-heimdal libwrap0 libx11-6 libx11-data libx11-xcb1 libxau6 libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0 libxcb-icccm4 libxcb-image0 libxcb-keysyms1 libxcb-present0 libxcb-randr0 libxcb-render-util0 libxcb-render0 libxcb-shape0 libxcb-shm0 libxcb-sync1 libxcb-util1 libxcb-xfixes0 libxcb-xinerama0 libxcb-xinput0 libxcb-xkb1 libxcb1 libxcomposite1 libxcursor1 libxdamage1 libxdmcp6 libxext6 libxfixes3 libxi6 libxinerama1 libxkbcommon-x11-0 libxkbcommon0 libxml2 libxrandr2 libxrender1 libxshmfence1 libxt6 libxtst6 libxxf86vm1 lsb-base mesa-vulkan-drivers networkd-dispatcher openssl psmisc publicsuffix python-is-python2 python2 python2-minimal python2.7 python2.7-minimal python3 python3-dbus python3-gi qt5-gtk-platformtheme qttranslations5-l10n sensible-utils shared-mime-info systemd systemd-sysv systemd-timesyncd tzdata ubuntu-mono ucf x11-common xdg-user-dirs xkb-data

Oracle VM VirtualBox
VirtualBox is a powerful PC virtualization solution allowing you to run a
wide range of PC operating systems on your Linux system. This includes
Windows, Linux, FreeBSD, DOS, OpenBSD and others. VirtualBox comes with a broad
feature set and excellent performance, making it the premier virtualization
software solution on the market.
Do you want to install the software package? [y/N]:y
/usr/bin/gdebi:113: FutureWarning: Possible nested set at position 1
  c = findall("[[(](\S+)/\S+[])]", msg)[0].lower()
Fetched 0 B in 0s (0 B/s)                                                     
Extracting templates from packages: 100%
Preconfiguring packages ...
Extracting templates from packages: 100%
Preconfiguring packages ...
dpkg: error: duplicate file trigger interest for filename '/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders' and package 'libgdk-pixbuf2.0-0:i386'
E:Sub-process /usr/bin/dpkg returned an error code (2)
Error during install: 'installArchives() failed'

It is complaining about a duplicate entry in /var/lib/dpkg/triggers/File, which looks like this:

Code:
/etc/rsyslog.d rsyslog/noawait
/usr/share/mime/packages shared-mime-info/noawait
/usr/share/info install-info/noawait
/usr/man man-db/noawait
/usr/share/man man-db/noawait
/usr/local/man man-db/noawait
/usr/local/share/man man-db/noawait
/usr/X11R6/man man-db/noawait
/opt/man man-db/noawait
/etc/sgml sgml-base
/usr/share/sgml sgml-base
/usr/share/xml sgml-base
/usr/share/icons/hicolor hicolor-icon-theme/noawait
/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders libgdk-pixbuf2.0-0/noawait
/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders libgdk-pixbuf2.0-0/noawa
it
/usr/share/fonts fontconfig/noawait
/usr/share/ghostscript/fonts fontconfig/noawait
/usr/share/texmf/fonts fontconfig/noawait
/usr/share/package-data-downloads update-notifier-common
/etc/lsb-release plymouth-theme-ubuntu-text/noawait
/etc/ufw/applications.d ufw/noawait
/usr/share/slib guile-2.2-libs/noawait
/usr/share/app-info/icons appstream/noawait
/usr/share/app-info/yaml appstream/noawait
/usr/share/app-info/xml appstream/noawait
/var/lib/dictionaries-common/hunspell dictionaries-common/noawait
/usr/share/dict cracklib-runtime/noawait
/usr/dict cracklib-runtime/noawait
/usr/local/share/dict cracklib-runtime/noawait
/usr/local/dict cracklib-runtime/noawait
/usr/share/applications gnome-menus/noawait
/usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/immodules libgtk2.0-0/noawait
/usr/lib/gtk-2.0/2.10.0/immodules libgtk2.0-0/noawait
/usr/lib/rygel-2.6 rygel/noawait
/usr/share/cups/ppd-updaters cups/noawait
/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders libgdk-pixbuf2.0-0:i386/noawait
/usr/lib/i386-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders libgdk-pixbuf2.0-0:i386/no
await
/usr/bin/wine64-stable wine/noawait
/usr/bin/winegcc-stable wine/noawait
/usr/share/icons/gnome gnome-icon-theme/noawait
/usr/share/texmf tex-common/noawait
/usr/share/texlive/texmf-dist tex-common/noawait
/usr/share/doc/texlive-doc tex-common/noawait
/lib/udev/hwdb.d udev/noawait
/usr/lib/systemd/catalog systemd/noawait
/etc/init.d systemd/noawait
/usr/share/applications desktop-file-utils/noawait
/usr/share/applications bamfdaemon/noawait
/etc/dbus-1/system.d dbus/noawait
/usr/share/dbus-1/system.d dbus/noawait
/usr/share/dbus-1/system-services dbus/noawait
/usr/lib/x86_64-linux-gnu/gtk-3.0/3.0.0/immodules libgtk-3-0/noawait
/usr/lib/gtk-3.0/3.0.0/immodules libgtk-3-0/noawait
/usr/lib/libreoffice/share/extensions libreoffice-common/noawait
/usr/lib/libreoffice libreoffice-common/noawait
/usr/lib/x86_64-linux-gnu/gio/modules libglib2.0-0/noawait
/usr/lib/gio/modules libglib2.0-0/noawait
/usr/share/glib-2.0/schemas libglib2.0-0
/usr/lib/i386-linux-gnu/gio/modules libglib2.0-0:i386/noawait
/usr/lib/gio/modules libglib2.0-0:i386/noawait
/usr/share/glib-2.0/schemas libglib2.0-0:i386
/usr/lib/mime/packages mime-support/noawait
/usr/share/applications mime-support/noawait

As far as I can tell, I don't see any duplicate entries here. What is the easiest way to fix the problem.
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)